import Chakra from './Chakra'

// Vue Plugin
export default Chakra

/**
 * All Components
 *
 * @note Dear contributors,
 * Components listed in this file should be listed alphabetically. Thanks :)
 */

// A
export * from './CAccordion'
export * from './CAlert'
export * from './CAlertDialog'
export { default as CAspectRatioBox } from './CAspectRatioBox'
export * from './CAvatar'
export { default as CAvatarGroup } from './CAvatarGroup'

// B
export { default as CBadge } from './CBadge'
export { default as CBox } from './CBox'
export * from './CBreadcrumb'
export { default as CButton } from './CButton'
export { default as CButtonGroup } from './CButtonGroup'

// C
export { default as CCheckbox } from './CCheckbox'
export { default as CCheckboxGroup } from './CCheckboxGroup'
export * from './CCircularProgress'
export { default as CCloseButton } from './CCloseButton'
export { default as CCode } from './CCode'
export { default as CCollapse } from './CCollapse'
export { default as CColorModeProvider } from './CColorModeProvider'
export { CDarkMode, CLightMode } from './CColorModeProvider'
export { default as CControlBox } from './CControlBox'
export { default as Css } from './Css'
export { default as CReset } from './CReset'

// D
export { default as CDivider } from './CDivider'
export * from './CDrawer'

// E
export { default as CEditable } from './CEditable'
export * from './CEditable'

// F
export { default as CFlex } from './CFlex'
export { default as CFormControl } from './CFormControl'
export { default as CFormLabel } from './CFormLabel'
export { default as CFormErrorMessage } from './CFormErrorMessage'
export { default as CFormHelperText } from './CFormHelperText'
export { default as CFragment } from './CFragment'

// G
export { default as CGrid } from './CGrid'

// H
export { default as CHeading } from './CHeading'

// I
export { default as CIcon } from './CIcon'
export { default as CIconButton } from './CIconButton'
export { default as CImage } from './CImage'
export { default as CInput } from './CInput'
export { default as CInputAddon } from './CInputAddon'
export * from './CInputAddon'
export { default as CInputElement } from './CInputElement'
export * from './CInputElement'
export { default as CInputGroup } from './CInputGroup'

// L
export { default as CLink } from './CLink'
export { default as CList } from './CList'
export * from './CList'

// M
export * from './CMenu'
export * from './CMenu/CMenuOption'
export * from './CModal'

// N
export * from './CNumberInput'

// P
export * from './CPopover'
export * from './CPopper'
export { default as CPortal } from './CPortal'
export * from './CProgress'
export { default as CPseudoBox } from './CPseudoBox'

// R
export { default as CRadio } from './CRadio'
export { default as CRadioGroup } from './CRadioGroup'
export { default as CRadioButtonGroup } from './CRadioButtonGroup'

// S
export { default as CSimpleGrid } from './CSimpleGrid'
export { default as CSelect } from './CSelect'
export { default as CSlider } from './CSlider'
export * from './CSlider'
export { default as CSpinner } from './CSpinner'
export { default as CStack } from './CStack'
export * from './CStat'
export { default as CSwitch } from './CSwitch'

// T
export * from './CTabs'
export * from './CTag'
export { default as CText } from './CText'
export { default as CTextarea } from './CTextarea'
export { default as CThemeProvider } from './CThemeProvider'
export { default as useToast } from './CToast'
export { default as CTooltip } from './CTooltip'
export * from './CTransition'

// V
export { default as CVisuallyHidden } from './CVisuallyHidden'

// Default theme object
export { default as defaultTheme } from '@chakra-ui/theme-vue'

// Props objects
export { baseProps as boxProps, pseudoProps as pseudoBoxProps } from './config'

// Internal icons
export { parsePackIcons } from './utils/icons'
export { default as internalIcons } from './lib/internal-icons'

// Directives
export { createServerDirective, createClientDirective } from './directives/chakra.directive'
